$(document).ready(function(){
  $('<div></div>')
    .attr('id', 'overlay')
    .css('opacity', 0.65)
    .hover(function(){
      $(this).addClass('active');
    }, function() {
      $(this).removeClass('active');
      setTimeout(function(){
        $('#overlay:not(.active)').slideUp(function(){
          $('a.cart-hover').removeClass('cart-hover');
        });
      }, 800);
    }).appendTo('body');
    
  $('.cart a').mouseover(function(){
    $(this).addClass('cart-hover');
    $('#overlay:not(:animated)')
      .addClass('active')
      .html('<h1>W koszyku znajduje się 5 elementów.</h1><a href="#">Zobacz koszyk</a>&nbsp;<a href="#">Zapłać</a>')
      .slideDown();      
  });

});
